#!/bin/bash
#Audioblast enter USERNAME & SERIAL

if [ $SUDO_USER ]; then
    user=$SUDO_USER
else
    user=$(whoami)
fi


AUDIOBLASTDIR="/home/$user/.audioblast"
if [ ! -d "$AUDIOBLASTDIR" ]; then
  #echo "$AUDIOBLASTDIR does not exist, creating !"
  mkdir -m 777 -p $AUDIOBLASTDIR
fi


ACIDBOXDIR="$AUDIOBLASTDIR/AcidBox"
if [ ! -d "$ACIDBOXDIR" ]; then
  #echo "$ACIDBOXDIR does not exist, creating !"
  mkdir -m 777 -p $ACIDBOXDIR
fi


OLDCONFIGFILE="/home/$user/.config/Audioblast/AcidBox.conf"
if [ -f "$OLDCONFIGFILE" ]; then
    echo "$OLDCONFIGFILE found, copying !"
    cp $OLDCONFIGFILE "$ACIDBOXDIR/"
fi


CONFIGFILE="$ACIDBOXDIR/AcidBox.conf"
if [ ! -f "$CONFIGFILE" ]; then
	echo "Please enter you username and serial to unlock AcidBox VST3"
	read -p 'USERNAME : ' uservar
	read -p 'SERIAL : ' serialvar

    	echo "[General]" > $CONFIGFILE
    	echo "UserName=$uservar" >> $CONFIGFILE
    	echo "UserSerial=$serialvar" >> $CONFIGFILE
fi


exit
